org.keycloak.account

## Interface AccountProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    FreeMarkerAccountProvider

      public interface AccountProvider
      extends Provider

  Author:
    Stian Thorgersen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createResponse(AccountPages page)`
    `AccountProvider` | `setError(String message)`
    `AccountProvider` | `setEvents(List<Event> events)`
    `AccountProvider` | `setFeatures(boolean social, boolean events, boolean passwordUpdateSupported)`
    `AccountProvider` | `setPasswordSet(boolean passwordSet)`
    `AccountProvider` | `setProfileFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `AccountProvider` | `setRealm(RealmModel realm)`
    `AccountProvider` | `setReferrer(String[] referrer)`
    `AccountProvider` | `setSessions(List<UserSessionModel> sessions)`
    `AccountProvider` | `setStateChecker(String stateChecker)`
    `AccountProvider` | `setStatus(javax.ws.rs.core.Response.Status status)`
    `AccountProvider` | `setSuccess(String message)`
    `AccountProvider` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`
    `AccountProvider` | `setUser(UserModel user)`
    `AccountProvider` | `setWarning(String message)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### setUriInfo

          AccountProvider setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

    - #### createResponse

          javax.ws.rs.core.Response createResponse(AccountPages page)

    - #### setError

          AccountProvider setError(String message)

    - #### setSuccess

          AccountProvider setSuccess(String message)

    - #### setWarning

          AccountProvider setWarning(String message)

    - #### setUser

          AccountProvider setUser(UserModel user)

    - #### setProfileFormData

          AccountProvider setProfileFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### setStatus

          AccountProvider setStatus(javax.ws.rs.core.Response.Status status)

    - #### setRealm

          AccountProvider setRealm(RealmModel realm)

    - #### setReferrer

          AccountProvider setReferrer(String[] referrer)

    - #### setEvents

          AccountProvider setEvents(List<Event> events)

    - #### setSessions

          AccountProvider setSessions(List<UserSessionModel> sessions)

    - #### setPasswordSet

          AccountProvider setPasswordSet(boolean passwordSet)

    - #### setStateChecker

          AccountProvider setStateChecker(String stateChecker)

    - #### setFeatures

          AccountProvider setFeatures(boolean social,
                                    boolean events,
                                    boolean passwordUpdateSupported)

Copyright © 2014. All Rights Reserved.